<?php
/*
 * this file contains pluing meta information and then shared
 * between pluging and admin classes
 * 
 * [1]
 * TODO: change this meta as plugin needs
 */


if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
	define('NM_DIR_SEPERATOR', '\\');
} else {
	define('NM_DIR_SEPERATOR', '/');
}

function get_plugin_meta_wooconvo(){
	
	$plugin_meta		= array('name'			=> 'WooConvo',
							'shortname'		=> 'wooconvo', //without nm_ will be shortname
							'path'			=> untrailingslashit(plugin_dir_path( __FILE__ )),
							'url'			=> untrailingslashit(plugin_dir_url( __FILE__ )),
							'db_version'	=> 2.0,
							'logo'			=> untrailingslashit(plugin_dir_url( __FILE__ )) . '/images/logo.png',
							'menu_position'	=> 999);
	
	//print_r($plugin_meta);
	
	return $plugin_meta;
}

/**
 * get shop owner/admin name
 * @since 3.4
 **/
function wooconvo_get_vendor_name($order_id, $is_admin='no', $vendor_email='') {
	
	$order_admin_name = '';
	if( defined('WCMp_PLUGIN_TOKEN') && $is_admin == 'yes') {
		
		// If is_admin then $vendor_email will have only one email
		$vendor_email = $vendor_email[0];
		
		$vendors = get_vendor_from_an_order($order_id);

        if ($vendors) {
            foreach ($vendors as $vendor) {

                $vendor_obj = get_wcmp_vendor_by_term($vendor);
                if( $vendor_obj->user_data->user_email == $vendor_email) {
                	$order_admin_name = $vendor_obj->page_title;
                }
            }
        }
	}
	
	if( empty($order_admin_name) ) {
		$order_admin_name = get_bloginfo('name');
	}
	
	return apply_filters('wooconvo_shop_admin_name', $order_admin_name, $order_id);
}



function wooconvo_get_order_admin_email( $order_id, $is_admin='no' ) {
	
	// if WCMp pluign installed
	
	$order_admin_emails = array();
	if( defined('WCMp_PLUGIN_TOKEN') ) {
		
		if( $is_admin == 'yes' ) {
			
			$user_id = get_current_user_id();
	       if (is_user_wcmp_vendor($user_id)) {
	    		$vendor = get_wcmp_vendor($user_id);
	    		$order_admin_emails[] = $vendor->user_data->user_email;
	       }
			
		} else {
		
			$vendors = get_vendor_from_an_order($order_id);
	
	        if ($vendors) {
	            foreach ($vendors as $vendor) {
	
	                $vendor_obj = get_wcmp_vendor_by_term($vendor);
	                $order_admin_emails[] = $vendor_obj->user_data->user_email;
	            }
	        }
		}
	} else {
		
		$order_admin_emails[] = get_bloginfo('admin_email');
	}
	
	// var_dump($order_admin_emails);
	return apply_filters('order_admin_email', $order_admin_emails);
}


// Get order detail URL
function wooconvo_get_order_detail_url( $order, $is_admin ) {
	
	$order_url = '';
	if( $is_admin == 'yes'){
		// $args = array('order'=>$order_id, 'email'=>$to);
		$order_url = $order -> get_view_order_url();
	}else{
		
		$order_url = admin_url( 'post.php?post='.$order->get_id().'&action=edit' );
		// Check WCMP plugin installed
		if( defined('WCMp_PLUGIN_TOKEN') ) {
			
			$order_url = wcmp_get_vendor_dashboard_endpoint_url(get_wcmp_vendor_settings('wcmp_vendor_orders_endpoint', 'vendor', 'general', 'vendor-orders'), $order->get_id());
		}
		
	}
	
	return $order_url;
}

function wooconvo_pa( $arr ) {
	
	echo '<pre>';
	print_r($arr);
	echo '</pre>';
}